Package ghidra.app.util.bin.format.omf.omf51

# Class Omf51Fixup

java.lang.Object
ghidra.app.util.bin.format.omf.omf51.Omf51Fixup

public class Omf51Fixup extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ID_BLOCK_EXTERNAL`
  `static final int`
  `ID_BLOCK_RELOCATABLE`
  `static final int`
  `ID_BLOCK_SEGMENT`
  `static final int`
  `REF_TYPE_BIT`
  `static final int`
  `REF_TYPE_BYTE`
  `static final int`
  `REF_TYPE_CONV`
  `static final int`
  `REF_TYPE_HIGH`
  `static final int`
  `REF_TYPE_INBLOCK`
  `static final int`
  `REF_TYPE_LOW`
  `static final int`
  `REF_TYPE_RELATIVE`
  `static final int`
  `REF_TYPE_WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Omf51Fixup(BinaryReader reader, boolean largeBlockId)`
  Creates a new `Omf51Fixup`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBlockId()`
  Returns the operand id (segment ID or EXT ID).
  `int`
  `getBlockType()`
  Returns the operand block type (ID BLK).
  `int`
  `getOffset()`
  Returns the operand offset.
  `int`
  `getRefLoc()`
  Returns the reference location (REFLOC).
  `int`
  `getRefType()`
  Returns the reference type (REF TYP).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REF_TYPE_LOW

    public static final int REF_TYPE_LOW
    See Also:
      - Constant Field Values

  - ### REF_TYPE_BYTE

    public static final int REF_TYPE_BYTE
    See Also:
      - Constant Field Values

  - ### REF_TYPE_RELATIVE

    public static final int REF_TYPE_RELATIVE
    See Also:
      - Constant Field Values

  - ### REF_TYPE_HIGH

    public static final int REF_TYPE_HIGH
    See Also:
      - Constant Field Values

  - ### REF_TYPE_WORD

    public static final int REF_TYPE_WORD
    See Also:
      - Constant Field Values

  - ### REF_TYPE_INBLOCK

    public static final int REF_TYPE_INBLOCK
    See Also:
      - Constant Field Values

  - ### REF_TYPE_BIT

    public static final int REF_TYPE_BIT
    See Also:
      - Constant Field Values

  - ### REF_TYPE_CONV

    public static final int REF_TYPE_CONV
    See Also:
      - Constant Field Values

  - ### ID_BLOCK_SEGMENT

    public static final int ID_BLOCK_SEGMENT
    See Also:
      - Constant Field Values

  - ### ID_BLOCK_RELOCATABLE

    public static final int ID_BLOCK_RELOCATABLE
    See Also:
      - Constant Field Values

  - ### ID_BLOCK_EXTERNAL

    public static final int ID_BLOCK_EXTERNAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Omf51Fixup

    public Omf51Fixup(BinaryReader reader, boolean largeBlockId) throws IOException
    Creates a new `Omf51Fixup`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the fixup
      `largeBlockId` - True if the block ID is 2 bytes; false if 1 byte
    Throws:
      `IOException` - if an IO-related error occurred

- ## Method Details

  - ### getRefLoc

    public int getRefLoc()
    Returns the reference location (REFLOC).
    Returns:
      the reference location (REFLOC)

  - ### getRefType

    public int getRefType()
    Returns the reference type (REF TYP).
    Returns:
      the reference type (REF TYP)

  - ### getBlockType

    public int getBlockType()
    Returns the operand block type (ID BLK).
    Returns:
      the operand block type (ID BLK)

  - ### getBlockId

    public int getBlockId()
    Returns the operand id (segment ID or EXT ID).
    Returns:
      the operand id (segment ID or EXT ID)

  - ### getOffset

    public int getOffset()
    Returns the operand offset.
    Returns:
      the operand offset